Public Attributes | List of all members
_calendar_time Struct Reference
Peripheral Driver » HAL Driver » CALENDAR » Structures » CALENDAR Time

CALENDAR_Time calendar time structure definition. More...

`#include <gr55xx_hal_calendar.h>`

## Public Attributes
uint8_t | sec
uint8_t | min
uint8_t | hour
uint8_t | date
uint8_t | mon
uint8_t | year
uint8_t | week
uint16_t | ms

## Detailed Description

CALENDAR_Time calendar time structure definition.

Definition at line 95 of file gr55xx_hal_calendar.h.

## Member Data Documentation

## ◆ date

uint8_t _calendar_time::date

Specifies the Calendar date. This parameter must be a number between min_value = 1 and max_value = 31.

Definition at line 106 of file gr55xx_hal_calendar.h.

## ◆ hour

uint8_t _calendar_time::hour

Specifies the Calendar time hour. This parameter must be a number between min_value = 0 and max_value = 23.

Definition at line 103 of file gr55xx_hal_calendar.h.

## ◆ min

uint8_t _calendar_time::min

Specifies the Calendar time minutes. This parameter must be a number between min_value = 0 and max_value = 59.

Definition at line 100 of file gr55xx_hal_calendar.h.

## ◆ mon

uint8_t _calendar_time::mon

Specifies the Calendar month. This parameter must be a number between min_value = 1 and max_value = 12.

Definition at line 109 of file gr55xx_hal_calendar.h.

## ◆ ms

uint16_t _calendar_time::ms

The Calendar time milliseconds. This parameter must be a number between min_value = 0 and max_value = 999. Note: This parameter is used for internal calculation, the user does not need to care

Definition at line 118 of file gr55xx_hal_calendar.h.

## ◆ sec

uint8_t _calendar_time::sec

Specifies the Calendar time seconds. This parameter must be a number between min_value = 0 and max_value = 59.

Definition at line 97 of file gr55xx_hal_calendar.h.

## ◆ week

uint8_t _calendar_time::week

Specifies the Calendar weekday. This parameter must be a number between min_value = 0 and max_value = 6.

Definition at line 115 of file gr55xx_hal_calendar.h.

## ◆ year

uint8_t _calendar_time::year

Specifies the Calendar year which stars from 2010. This parameter must be a number between min_value = 10 and max_value = 99.

Definition at line 112 of file gr55xx_hal_calendar.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_calendar.h